import { IScope } from 'angular';
import { IArtifactAccount } from 'core/account';
import { IArtifactSource, IExpectedArtifact, IPipeline, IStage } from 'core/domain';
import { IExpectedArtifactSelectorViewControllerDelegate } from './ExpectedArtifactSelectorViewController';
import { ExpectedArtifactSelectorViewControllerAngularDelegate } from './ExpectedArtifactSelectorViewControllerAngularDelegate';
export declare class NgBakeManifestArtifactDelegate extends ExpectedArtifactSelectorViewControllerAngularDelegate<IArtifactSource<IStage | IPipeline>> implements IExpectedArtifactSelectorViewControllerDelegate {
    private artifact;
    expectedArtifacts: IExpectedArtifact[];
    requestingNew: boolean;
    constructor(artifact: {
        $scope: IScope;
        id: string;
        account: string;
    });
    setAccounts: (accounts: any) => void;
    getExpectedArtifacts(): IExpectedArtifact[];
    getSelectedExpectedArtifact(): IExpectedArtifact;
    getSelectedAccount(): IArtifactAccount;
    setSelectedExpectedArtifact(e: IExpectedArtifact): void;
    setSelectedArtifactAccount(a: IArtifactAccount): void;
    createArtifact(): void;
    refreshExpectedArtifacts(): void;
}
